"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ApiGatewayV2Client_1 = require("./ApiGatewayV2Client");
const CreateApiCommand_1 = require("./commands/CreateApiCommand");
const CreateApiMappingCommand_1 = require("./commands/CreateApiMappingCommand");
const CreateAuthorizerCommand_1 = require("./commands/CreateAuthorizerCommand");
const CreateDeploymentCommand_1 = require("./commands/CreateDeploymentCommand");
const CreateDomainNameCommand_1 = require("./commands/CreateDomainNameCommand");
const CreateIntegrationCommand_1 = require("./commands/CreateIntegrationCommand");
const CreateIntegrationResponseCommand_1 = require("./commands/CreateIntegrationResponseCommand");
const CreateModelCommand_1 = require("./commands/CreateModelCommand");
const CreateRouteCommand_1 = require("./commands/CreateRouteCommand");
const CreateRouteResponseCommand_1 = require("./commands/CreateRouteResponseCommand");
const CreateStageCommand_1 = require("./commands/CreateStageCommand");
const DeleteApiCommand_1 = require("./commands/DeleteApiCommand");
const DeleteApiMappingCommand_1 = require("./commands/DeleteApiMappingCommand");
const DeleteAuthorizerCommand_1 = require("./commands/DeleteAuthorizerCommand");
const DeleteDeploymentCommand_1 = require("./commands/DeleteDeploymentCommand");
const DeleteDomainNameCommand_1 = require("./commands/DeleteDomainNameCommand");
const DeleteIntegrationCommand_1 = require("./commands/DeleteIntegrationCommand");
const DeleteIntegrationResponseCommand_1 = require("./commands/DeleteIntegrationResponseCommand");
const DeleteModelCommand_1 = require("./commands/DeleteModelCommand");
const DeleteRouteCommand_1 = require("./commands/DeleteRouteCommand");
const DeleteRouteResponseCommand_1 = require("./commands/DeleteRouteResponseCommand");
const DeleteStageCommand_1 = require("./commands/DeleteStageCommand");
const GetApiCommand_1 = require("./commands/GetApiCommand");
const GetApiMappingCommand_1 = require("./commands/GetApiMappingCommand");
const GetApiMappingsCommand_1 = require("./commands/GetApiMappingsCommand");
const GetApisCommand_1 = require("./commands/GetApisCommand");
const GetAuthorizerCommand_1 = require("./commands/GetAuthorizerCommand");
const GetAuthorizersCommand_1 = require("./commands/GetAuthorizersCommand");
const GetDeploymentCommand_1 = require("./commands/GetDeploymentCommand");
const GetDeploymentsCommand_1 = require("./commands/GetDeploymentsCommand");
const GetDomainNameCommand_1 = require("./commands/GetDomainNameCommand");
const GetDomainNamesCommand_1 = require("./commands/GetDomainNamesCommand");
const GetIntegrationCommand_1 = require("./commands/GetIntegrationCommand");
const GetIntegrationResponseCommand_1 = require("./commands/GetIntegrationResponseCommand");
const GetIntegrationResponsesCommand_1 = require("./commands/GetIntegrationResponsesCommand");
const GetIntegrationsCommand_1 = require("./commands/GetIntegrationsCommand");
const GetModelCommand_1 = require("./commands/GetModelCommand");
const GetModelTemplateCommand_1 = require("./commands/GetModelTemplateCommand");
const GetModelsCommand_1 = require("./commands/GetModelsCommand");
const GetRouteCommand_1 = require("./commands/GetRouteCommand");
const GetRouteResponseCommand_1 = require("./commands/GetRouteResponseCommand");
const GetRouteResponsesCommand_1 = require("./commands/GetRouteResponsesCommand");
const GetRoutesCommand_1 = require("./commands/GetRoutesCommand");
const GetStageCommand_1 = require("./commands/GetStageCommand");
const GetStagesCommand_1 = require("./commands/GetStagesCommand");
const GetTagsCommand_1 = require("./commands/GetTagsCommand");
const TagResourceCommand_1 = require("./commands/TagResourceCommand");
const UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
const UpdateApiCommand_1 = require("./commands/UpdateApiCommand");
const UpdateApiMappingCommand_1 = require("./commands/UpdateApiMappingCommand");
const UpdateAuthorizerCommand_1 = require("./commands/UpdateAuthorizerCommand");
const UpdateDeploymentCommand_1 = require("./commands/UpdateDeploymentCommand");
const UpdateDomainNameCommand_1 = require("./commands/UpdateDomainNameCommand");
const UpdateIntegrationCommand_1 = require("./commands/UpdateIntegrationCommand");
const UpdateIntegrationResponseCommand_1 = require("./commands/UpdateIntegrationResponseCommand");
const UpdateModelCommand_1 = require("./commands/UpdateModelCommand");
const UpdateRouteCommand_1 = require("./commands/UpdateRouteCommand");
const UpdateRouteResponseCommand_1 = require("./commands/UpdateRouteResponseCommand");
const UpdateStageCommand_1 = require("./commands/UpdateStageCommand");
class ApiGatewayV2 extends ApiGatewayV2Client_1.ApiGatewayV2Client {
    createApi(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateApiCommand_1.CreateApiCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createApiMapping(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateApiMappingCommand_1.CreateApiMappingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createAuthorizer(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateAuthorizerCommand_1.CreateAuthorizerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createDeployment(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateDeploymentCommand_1.CreateDeploymentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createDomainName(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateDomainNameCommand_1.CreateDomainNameCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createIntegration(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateIntegrationCommand_1.CreateIntegrationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createIntegrationResponse(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateIntegrationResponseCommand_1.CreateIntegrationResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createModel(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateModelCommand_1.CreateModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createRoute(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateRouteCommand_1.CreateRouteCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createRouteResponse(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateRouteResponseCommand_1.CreateRouteResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    createStage(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new CreateStageCommand_1.CreateStageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteApi(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteApiCommand_1.DeleteApiCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteApiMapping(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteApiMappingCommand_1.DeleteApiMappingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteAuthorizer(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteAuthorizerCommand_1.DeleteAuthorizerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteDeployment(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteDeploymentCommand_1.DeleteDeploymentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteDomainName(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteDomainNameCommand_1.DeleteDomainNameCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteIntegration(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteIntegrationCommand_1.DeleteIntegrationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteIntegrationResponse(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteIntegrationResponseCommand_1.DeleteIntegrationResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteModel(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteModelCommand_1.DeleteModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteRoute(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteRouteCommand_1.DeleteRouteCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteRouteResponse(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteRouteResponseCommand_1.DeleteRouteResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    deleteStage(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new DeleteStageCommand_1.DeleteStageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getApi(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetApiCommand_1.GetApiCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getApiMapping(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetApiMappingCommand_1.GetApiMappingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getApiMappings(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetApiMappingsCommand_1.GetApiMappingsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getApis(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetApisCommand_1.GetApisCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getAuthorizer(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetAuthorizerCommand_1.GetAuthorizerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getAuthorizers(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetAuthorizersCommand_1.GetAuthorizersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getDeployment(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetDeploymentCommand_1.GetDeploymentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getDeployments(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetDeploymentsCommand_1.GetDeploymentsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getDomainName(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetDomainNameCommand_1.GetDomainNameCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getDomainNames(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetDomainNamesCommand_1.GetDomainNamesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getIntegration(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetIntegrationCommand_1.GetIntegrationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getIntegrationResponse(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetIntegrationResponseCommand_1.GetIntegrationResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getIntegrationResponses(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetIntegrationResponsesCommand_1.GetIntegrationResponsesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getIntegrations(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetIntegrationsCommand_1.GetIntegrationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getModel(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetModelCommand_1.GetModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getModelTemplate(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetModelTemplateCommand_1.GetModelTemplateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getModels(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetModelsCommand_1.GetModelsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getRoute(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetRouteCommand_1.GetRouteCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getRouteResponse(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetRouteResponseCommand_1.GetRouteResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getRouteResponses(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetRouteResponsesCommand_1.GetRouteResponsesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getRoutes(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetRoutesCommand_1.GetRoutesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getStage(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetStageCommand_1.GetStageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getStages(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetStagesCommand_1.GetStagesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    getTags(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new GetTagsCommand_1.GetTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    tagResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    untagResource(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateApi(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateApiCommand_1.UpdateApiCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateApiMapping(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateApiMappingCommand_1.UpdateApiMappingCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateAuthorizer(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateAuthorizerCommand_1.UpdateAuthorizerCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateDeployment(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateDeploymentCommand_1.UpdateDeploymentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateDomainName(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateDomainNameCommand_1.UpdateDomainNameCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateIntegration(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateIntegrationCommand_1.UpdateIntegrationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateIntegrationResponse(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateIntegrationResponseCommand_1.UpdateIntegrationResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateModel(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateModelCommand_1.UpdateModelCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateRoute(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateRouteCommand_1.UpdateRouteCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateRouteResponse(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateRouteResponseCommand_1.UpdateRouteResponseCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
    updateStage(args, cb) {
        // create the appropriate command and pass it to .send
        const command = new UpdateStageCommand_1.UpdateStageCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    }
}
exports.ApiGatewayV2 = ApiGatewayV2;
//# sourceMappingURL=ApiGatewayV2.js.map