"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateApi_1 = require("../model/operations/CreateApi");
class CreateApiCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateApi_1.CreateApi;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateApiCommand = CreateApiCommand;
//# sourceMappingURL=CreateApiCommand.js.map