"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const CreateRouteResponse_1 = require("../model/operations/CreateRouteResponse");
class CreateRouteResponseCommand {
    constructor(input) {
        this.input = input;
        this.model = CreateRouteResponse_1.CreateRouteResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.CreateRouteResponseCommand = CreateRouteResponseCommand;
//# sourceMappingURL=CreateRouteResponseCommand.js.map