"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetRoute_1 = require("../model/operations/GetRoute");
class GetRouteCommand {
    constructor(input) {
        this.input = input;
        this.model = GetRoute_1.GetRoute;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetRouteCommand = GetRouteCommand;
//# sourceMappingURL=GetRouteCommand.js.map