"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetRouteResponse_1 = require("../model/operations/GetRouteResponse");
class GetRouteResponseCommand {
    constructor(input) {
        this.input = input;
        this.model = GetRouteResponse_1.GetRouteResponse;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetRouteResponseCommand = GetRouteResponseCommand;
//# sourceMappingURL=GetRouteResponseCommand.js.map