"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetRouteResponses_1 = require("../model/operations/GetRouteResponses");
class GetRouteResponsesCommand {
    constructor(input) {
        this.input = input;
        this.model = GetRouteResponses_1.GetRouteResponses;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetRouteResponsesCommand = GetRouteResponsesCommand;
//# sourceMappingURL=GetRouteResponsesCommand.js.map