"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CreateRouteResponseInput_1 = require("../shapes/CreateRouteResponseInput");
const CreateRouteResponseOutput_1 = require("../shapes/CreateRouteResponseOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateRouteResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateRouteResponse",
    http: {
        method: "POST",
        requestUri: "/v2/apis/{apiId}/routes/{routeId}/routeresponses"
    },
    input: {
        shape: CreateRouteResponseInput_1.CreateRouteResponseInput
    },
    output: {
        shape: CreateRouteResponseOutput_1.CreateRouteResponseOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=CreateRouteResponse.js.map