"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteApiMappingInput_1 = require("../shapes/DeleteApiMappingInput");
const DeleteApiMappingOutput_1 = require("../shapes/DeleteApiMappingOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteApiMapping = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteApiMapping",
    http: {
        method: "DELETE",
        requestUri: "/v2/domainnames/{domainName}/apimappings/{apiMappingId}"
    },
    input: {
        shape: DeleteApiMappingInput_1.DeleteApiMappingInput
    },
    output: {
        shape: DeleteApiMappingOutput_1.DeleteApiMappingOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=DeleteApiMapping.js.map