"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetApiMappingInput_1 = require("../shapes/GetApiMappingInput");
const GetApiMappingOutput_1 = require("../shapes/GetApiMappingOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetApiMapping = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetApiMapping",
    http: {
        method: "GET",
        requestUri: "/v2/domainnames/{domainName}/apimappings/{apiMappingId}"
    },
    input: {
        shape: GetApiMappingInput_1.GetApiMappingInput
    },
    output: {
        shape: GetApiMappingOutput_1.GetApiMappingOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=GetApiMapping.js.map