"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetDeploymentInput_1 = require("../shapes/GetDeploymentInput");
const GetDeploymentOutput_1 = require("../shapes/GetDeploymentOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetDeployment = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetDeployment",
    http: {
        method: "GET",
        requestUri: "/v2/apis/{apiId}/deployments/{deploymentId}"
    },
    input: {
        shape: GetDeploymentInput_1.GetDeploymentInput
    },
    output: {
        shape: GetDeploymentOutput_1.GetDeploymentOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetDeployment.js.map