"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetIntegrationResponsesInput_1 = require("../shapes/GetIntegrationResponsesInput");
const GetIntegrationResponsesOutput_1 = require("../shapes/GetIntegrationResponsesOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetIntegrationResponses = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetIntegrationResponses",
    http: {
        method: "GET",
        requestUri: "/v2/apis/{apiId}/integrations/{integrationId}/integrationresponses"
    },
    input: {
        shape: GetIntegrationResponsesInput_1.GetIntegrationResponsesInput
    },
    output: {
        shape: GetIntegrationResponsesOutput_1.GetIntegrationResponsesOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=GetIntegrationResponses.js.map