"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetModelTemplateInput_1 = require("../shapes/GetModelTemplateInput");
const GetModelTemplateOutput_1 = require("../shapes/GetModelTemplateOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetModelTemplate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetModelTemplate",
    http: {
        method: "GET",
        requestUri: "/v2/apis/{apiId}/models/{modelId}/template"
    },
    input: {
        shape: GetModelTemplateInput_1.GetModelTemplateInput
    },
    output: {
        shape: GetModelTemplateOutput_1.GetModelTemplateOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetModelTemplate.js.map