"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetModelsInput_1 = require("../shapes/GetModelsInput");
const GetModelsOutput_1 = require("../shapes/GetModelsOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetModels = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetModels",
    http: {
        method: "GET",
        requestUri: "/v2/apis/{apiId}/models"
    },
    input: {
        shape: GetModelsInput_1.GetModelsInput
    },
    output: {
        shape: GetModelsOutput_1.GetModelsOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=GetModels.js.map