"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetRouteInput_1 = require("../shapes/GetRouteInput");
const GetRouteOutput_1 = require("../shapes/GetRouteOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetRoute = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetRoute",
    http: {
        method: "GET",
        requestUri: "/v2/apis/{apiId}/routes/{routeId}"
    },
    input: {
        shape: GetRouteInput_1.GetRouteInput
    },
    output: {
        shape: GetRouteOutput_1.GetRouteOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=GetRoute.js.map