"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateRouteResponseInput_1 = require("../shapes/UpdateRouteResponseInput");
const UpdateRouteResponseOutput_1 = require("../shapes/UpdateRouteResponseOutput");
const NotFoundException_1 = require("../shapes/NotFoundException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const BadRequestException_1 = require("../shapes/BadRequestException");
const ConflictException_1 = require("../shapes/ConflictException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateRouteResponse = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateRouteResponse",
    http: {
        method: "PATCH",
        requestUri: "/v2/apis/{apiId}/routes/{routeId}/routeresponses/{routeResponseId}"
    },
    input: {
        shape: UpdateRouteResponseInput_1.UpdateRouteResponseInput
    },
    output: {
        shape: UpdateRouteResponseOutput_1.UpdateRouteResponseOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ConflictException_1.ConflictException
        }
    ]
};
//# sourceMappingURL=UpdateRouteResponse.js.map