"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _AuthorizationScopes_1 = require("./_AuthorizationScopes");
const _RouteModels_1 = require("./_RouteModels");
const _RouteParameters_1 = require("./_RouteParameters");
exports.UpdateRouteInput = {
    type: "structure",
    required: ["ApiId", "RouteId"],
    members: {
        ApiId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "apiId"
        },
        ApiKeyRequired: {
            shape: {
                type: "boolean"
            },
            locationName: "apiKeyRequired"
        },
        AuthorizationScopes: {
            shape: _AuthorizationScopes_1._AuthorizationScopes,
            locationName: "authorizationScopes"
        },
        AuthorizationType: {
            shape: {
                type: "string"
            },
            locationName: "authorizationType"
        },
        AuthorizerId: {
            shape: {
                type: "string"
            },
            locationName: "authorizerId"
        },
        ModelSelectionExpression: {
            shape: {
                type: "string"
            },
            locationName: "modelSelectionExpression"
        },
        OperationName: {
            shape: {
                type: "string"
            },
            locationName: "operationName"
        },
        RequestModels: {
            shape: _RouteModels_1._RouteModels,
            locationName: "requestModels"
        },
        RequestParameters: {
            shape: _RouteParameters_1._RouteParameters,
            locationName: "requestParameters"
        },
        RouteId: {
            shape: {
                type: "string"
            },
            location: "uri",
            locationName: "routeId"
        },
        RouteKey: {
            shape: {
                type: "string"
            },
            locationName: "routeKey"
        },
        RouteResponseSelectionExpression: {
            shape: {
                type: "string"
            },
            locationName: "routeResponseSelectionExpression"
        },
        Target: {
            shape: {
                type: "string"
            },
            locationName: "target"
        }
    }
};
//# sourceMappingURL=UpdateRouteInput.js.map